Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 17352
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: rt-cpan [...] trout.me.uk
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.2611
Fixed in: (no value)



Subject: Module::Build::Base does "require YAML" only then uses YAML::Node
Download (untitled) / with headers
text/plain 310b
More recent YAMLs no longer automatically load YAML::Node; Module::Build should be doing a 'use' or 'require' for any YAML package it directly references in order to ensure it continues to work in future. Currently, upgrading YAML to 0.53 or 54 breaks M::B's ability to write META.yml and hence to build dists.
Download (untitled) / with headers
text/plain 486b
On Sun Jan 29 21:46:32 2006, MSTROUT wrote: Show quoted text
> More recent YAMLs no longer automatically load YAML::Node; Module::Build > should be doing a 'use' or 'require' for any YAML package it directly > references in order to ensure it continues to work in future. Currently, > upgrading YAML to 0.53 or 54 breaks M::B's ability to write META.yml and > hence to build dists.
In YAML-0.55 I load YAML::Node. This is a temporary fix until Module::Build does it. Just trying to be helpful. -- Ingy
Download (untitled) / with headers
text/plain 165b
Yup, Yitzchak Scott-Thoennes already sent in a patch to fix this problem, it'll be in the next major release, and it's already released in the 0.27_06 beta. -Ken
Download (untitled) / with headers
text/plain 238b
On Mon Jan 30 22:15:05 2006, KWILLIAMS wrote: Show quoted text
> Yup, Yitzchak Scott-Thoennes already sent in a patch to fix this > problem, it'll be in the next > major release, and it's already released in the 0.27_06 beta.
Awesome, many thanks - Matt


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.